using System;
using System.Web.Security;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.IO;
using System.Collections.Generic;
using System.Drawing;
using BlackTieMedical.Entity;
using BlackTieMedical.Entity.Manager;
using Infragistics.Web.UI.NavigationControls;

namespace BlackTieMedical
{
    public partial class Controls_Header : System.Web.UI.UserControl
    {
        HtmlLink cssMainMenuLink;
        HtmlLink cssHandoffLink;
        HtmlLink cssImplantLink;
        HtmlLink cssContractLink;
        HtmlLink cssProQALink;

        public void Foo(object sender, EventArgs e)
        {
            // this is the way to add the link for the custom WebDataMenu style sheets
            cssHandoffLink = new HtmlLink();
            cssImplantLink = new HtmlLink();
            cssContractLink = new HtmlLink();
            cssProQALink = new HtmlLink();
            cssMainMenuLink = new HtmlLink();

            // this is the default page with the default menu settings
            Page.Header.Controls.Add(cssMainMenuLink);

            // point the links to the correct css pages
            cssHandoffLink.Href = "./StyleSheets/Menu_HandoffStyle.css";
            cssImplantLink.Href = "./StyleSheets/Menu_ImplantStyle.css";
            cssContractLink.Href = "./StyleSheets/Menu_ContractStyle.css";
            cssProQALink.Href = "./StyleSheets/Menu_ProformanceStyle.css";
            cssMainMenuLink.Href = "./StyleSheets/Menu_MainStyle.css";

            // setup the remainder of the tag
            cssHandoffLink.Attributes.Add("rel", "stylesheet");
            cssHandoffLink.Attributes.Add("type", "text/css");

            cssImplantLink.Attributes.Add("rel", "stylesheet");
            cssImplantLink.Attributes.Add("type", "text/css");

            cssContractLink.Attributes.Add("rel", "stylesheet");
            cssContractLink.Attributes.Add("type", "text/css");

            cssProQALink.Attributes.Add("rel", "stylesheet");
            cssProQALink.Attributes.Add("type", "text/css");

            cssMainMenuLink.Attributes.Add("rel", "stylesheet");
            cssMainMenuLink.Attributes.Add("type", "text/css");

        }

        //protected override void OnInit(EventArgs e)
        //{
        //    if (!Page.IsPostBack)
        //    {
        //        // this is the way to add the link for the custom WebDataMenu style sheets
        //        cssHandoffLink = new HtmlLink();
        //        cssImplantLink = new HtmlLink();
        //        cssContractLink = new HtmlLink();
        //        cssProQALink = new HtmlLink();
        //        cssMainMenuLink = new HtmlLink();

        //        // this is the default page with the default menu settings
        //        Page.Header.Controls.Add(cssMainMenuLink);

        //        // point the links to the correct css pages
        //        cssHandoffLink.Href = "./StyleSheets/Menu_HandoffStyle.css";
        //        cssImplantLink.Href = "./StyleSheets/Menu_ImplantStyle.css";
        //        cssContractLink.Href = "./StyleSheets/Menu_ContractStyle.css";
        //        cssProQALink.Href = "./StyleSheets/Menu_ProformanceStyle.css";
        //        cssMainMenuLink.Href = "./StyleSheets/Menu_MainStyle.css";

        //        // setup the remainder of the tag
        //        cssHandoffLink.Attributes.Add("rel", "stylesheet");
        //        cssHandoffLink.Attributes.Add("type", "text/css");

        //        cssImplantLink.Attributes.Add("rel", "stylesheet");
        //        cssImplantLink.Attributes.Add("type", "text/css");

        //        cssContractLink.Attributes.Add("rel", "stylesheet");
        //        cssContractLink.Attributes.Add("type", "text/css");

        //        cssProQALink.Attributes.Add("rel", "stylesheet");
        //        cssProQALink.Attributes.Add("type", "text/css");

        //        cssMainMenuLink.Attributes.Add("rel", "stylesheet");
        //        cssMainMenuLink.Attributes.Add("type", "text/css");
        //    }
        //}


        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["TopNav"] == null)
                Session["TopNav"] = "Loop";

            if (!Page.IsPostBack)
            {
                

               if (Global.CurrentUser == null)
                {
                    ShowHandOffGuestNav();
                }
                else if (Global.CurrentUser.UserTypeID == (int)BlackTieMedical.Entity.User.UserType.HospitalUser)
                {
                    // load the image for the hospital
                    imgPageLogo.Src = Global.CurrentUser.HospitalInfo.Logo;
                    imgPageLogo.Visible = true;

                    CreateHospitalUserMenus();

                    hlHome.HRef = "../HospitalActivity.aspx";

                    if (Session["TopNav"].ToString() == "Loop")
                        ShowHandOffNav();
                    else if (Session["TopNav"].ToString() == "Link")
                        ShowImplantNav();
                    else if (Session["TopNav"].ToString() == "Lock")
                        ShowContractsNav();
                }
                else if (Global.CurrentUser.UserTypeID == (int)User.UserType.VendorUser || Global.CurrentUser.UserTypeID == (int)User.UserType.VendorCSM)
                {
                    // load the image for the vendor
                    imgPageLogo.Src = Global.CurrentUser.VendorInfo.Logo;
                    imgPageLogo.Visible = true;

                    if (Session["TopNav"].ToString() == "Loop")
                    {
                        ShowHandOffNav();
                        Page.Header.Controls.Add(cssHandoffLink);
                    }
                    else if (Session["TopNav"].ToString() == "Link")
                    {
                        ShowImplantNav();
                        Page.Header.Controls.Add(cssImplantLink);
                    }
                    else if (Session["TopNav"].ToString() == "Lock")
                    {
                        ShowContractsNav();
                        Page.Header.Controls.Add(cssContractLink);
                    }

                    hlHome.HRef = "../HospitalActivity.aspx";

                    wdmMainMenu.Items.Add("User Setup&nbsp;");
                    //wdmMainMenu.Items[0].CssClass = "FirstItem";

                    DataMenuItem DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Edit My Details";
                    DataMenuItem.NavigateUrl = "VendorRegistration.aspx?edt=1&uID=" +
                                           Global.CurrentUser.UserID;
                    wdmMainMenu.Items[0].Items.Add(DataMenuItem);

                    wdmMainMenu.Items.Add("PO Request&nbsp;");
                    //wdmMainMenu.Items[1].CssClass = "SecondItem";

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Create PO";
                    DataMenuItem.NavigateUrl = "POReqProducts.aspx";
                    wdmMainMenu.Items[1].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "View Pending Purchase Orders";
                    DataMenuItem.NavigateUrl = "POProductsList.aspx?po=p";
                    wdmMainMenu.Items[1].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "View Approved Purchase Orders";
                    DataMenuItem.NavigateUrl = "POProductsList.aspx?po=i";
                    wdmMainMenu.Items[1].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "View Declined Purchase Orders";
                    DataMenuItem.NavigateUrl = "POProductsList.aspx?po=d";
                    wdmMainMenu.Items[1].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "View/Restore Archived Purchase Orders";
                    DataMenuItem.NavigateUrl = "ArchivedPO.aspx";
                    wdmMainMenu.Items[1].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Search P.O.s";
                    DataMenuItem.NavigateUrl = "SearchPOs.aspx";
                    wdmMainMenu.Items[1].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Overview";
                    DataMenuItem.NavigateUrl = "HospitalActivity.aspx";
                    wdmMainMenu.Items[1].Items.Add(DataMenuItem);


                    DataMenuItem iTopItem = new DataMenuItem();
                    iTopItem.Text = "Charts & Graphs &nbsp;";
                    //iTopItem.CssClass = "SecondItem";

                    DataMenuItem iMenuItem = new DataMenuItem();
                    iMenuItem.Text = "Reports";

                    DataMenuItem iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Product Utilization";
                    iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=1";
                    iMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Physican Activity";
                    iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=2";
                    iMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Capitations";
                    iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=3";
                    iMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Capitation Plus";
                    iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=4";
                    iMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Procedure Summary";
                    iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=5";
                    iMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Procedure Detail";
                    iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=6";
                    iMenuItem.Items.Add(iSubMenuItem);
                    
                    iTopItem.Items.Add(iMenuItem);

                    iMenuItem = new DataMenuItem();
                    iMenuItem.Text = "Report Manager";
                    iMenuItem.NavigateUrl = "ReportManager.aspx";
                    iTopItem.Items.Add(iMenuItem);

                    // marketshare procedure menu
                    // remove branch when moved to live
                    if (Global.CurrentUser.UserID == 68 || Global.CurrentUser.UserID == 332)
                    {
                        iMenuItem = new DataMenuItem();
                        iMenuItem.Text = "Marketshare";

                        DataMenuItem = new DataMenuItem();
                        DataMenuItem.Text = "By Physician";
                        DataMenuItem.NavigateUrl = "MarketshareProcedures.aspx?By=Physician";
                        iMenuItem.Items.Add(DataMenuItem);

                        DataMenuItem = new DataMenuItem();
                        DataMenuItem.Text = "By Procedure";
                        DataMenuItem.NavigateUrl = "MarketshareProcedures.aspx?By=Procedure";
                        iMenuItem.Items.Add(DataMenuItem);

                        DataMenuItem = new DataMenuItem();
                        DataMenuItem.Text = "By Procedure Cost";
                        DataMenuItem.NavigateUrl = "MarketshareProcedures.aspx?By=Cost";
                        iMenuItem.Items.Add(DataMenuItem);

                        iTopItem.Items.Add(iMenuItem);
                    }

                    wdmMainMenu.Items.Add(iTopItem);

                }
                else if (Global.CurrentUser.UserTypeID == (int)BlackTieMedical.Entity.User.UserType.WasherAdmin)
                {
                    // ProformanceQA users don't see the Owens & Minor logo
                    imgAppHeader.Src = "../images/logo_4.gif";

                    ShowQualityNav();

                    imgPageLogo.Src = "../images/HMKLogo.gif";
                    imgPageLogo.Visible = true;

                    hlHome.HRef =
                        DepartmentPermissionManager.IsDepartmentAuthorized(Global.CurrentUser.HospitalInfo.HospitalID,
                                                                           Global.CurrentUser.DepartmentsInfo[0].
                                                                               DepartmentID,
                                                                           (int)
                                                                           DepartmentPermission.Permissions.Sterilizer)
                            ? "../SterilizerActivity.aspx"
                            : "../WasherStaff.aspx";

                    DataMenuItem DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Setup";
                    DataMenuItem.NavigateUrl = "WasherUserSetup.aspx";
                    wdmMainMenu.Items.Add(DataMenuItem);
                    wdmMainMenu.Items[0].CssClass = "FirstItemLink";

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Equipment Setup";
                    DataMenuItem.NavigateUrl = "WasherEquipmentSetup.aspx";
                    wdmMainMenu.Items.Add(DataMenuItem);
                    wdmMainMenu.Items[1].CssClass = "FirstItemLink";

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Conduct Inspections";
                    DataMenuItem.NavigateUrl = "WasherStaff.aspx";
                    wdmMainMenu.Items.Add(DataMenuItem);
                    wdmMainMenu.Items[2].CssClass = "FirstItemLink";

                    int i = 2;
                    if (DepartmentPermissionManager.IsDepartmentAuthorized(Global.CurrentUser.HospitalInfo.HospitalID, Global.CurrentUser.DepartmentsInfo[0].DepartmentID, (int)DepartmentPermission.Permissions.Sterilizer))
                    {
                        DataMenuItem = new DataMenuItem();

                        DataMenuItem.Text = "Sterilizer Tests";
                        DataMenuItem.NavigateUrl = "SterilizerActivity.aspx";
                        wdmMainMenu.Items.Add(DataMenuItem);
                        wdmMainMenu.Items[i++].CssClass = "FirstItemLink";
                    }

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Results Overview";
                    DataMenuItem.NavigateUrl = "WasherOverview.aspx";
                    wdmMainMenu.Items.Add(DataMenuItem);
                    wdmMainMenu.Items[i++].CssClass = "FirstItemLink";

                    wdmMainMenu.Items.Add("Reports&nbsp;");
                    wdmMainMenu.Items[i++].CssClass = "FirstItem";


                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Chart Results";
                    

                    DataMenuItem iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Hospital Staff";
                    iSubMenuItem.NavigateUrl = "InviteColleagues.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Auto Endoscope Reprocessor";
                    iSubMenuItem.NavigateUrl = "AERTReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Cart Report";
                    iSubMenuItem.NavigateUrl = "CartWasherReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Channel Check Report";
                    iSubMenuItem.NavigateUrl = "ChannelCheckReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "EndoCheck Report";
                    iSubMenuItem.NavigateUrl = "EndoCheckReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "HemoCheck Report";
                    iSubMenuItem.NavigateUrl = "HemoCheckReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "ProCheck Report";
                    iSubMenuItem.NavigateUrl = "ProCheckReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "DetergiCheck Report";
                    iSubMenuItem.NavigateUrl = "DetergiCheckReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Lumen Report";
                    iSubMenuItem.NavigateUrl = "LumenReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Multi Rack Washer Report";
                    iSubMenuItem.NavigateUrl = "MultiWasherReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Spot Check Report";
                    iSubMenuItem.NavigateUrl = "SpotCheckReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    if (DepartmentPermissionManager.IsDepartmentAuthorized(Global.CurrentUser.HospitalInfo.HospitalID, Global.CurrentUser.DepartmentsInfo[0].DepartmentID, (int)DepartmentPermission.Permissions.Sterilizer))
                    {
                        iSubMenuItem = new DataMenuItem();
                        iSubMenuItem.Text = "Sterilizer Report";
                        iSubMenuItem.NavigateUrl = "SterilizerReports.aspx";
                        DataMenuItem.Items.Add(iSubMenuItem);

                        iSubMenuItem = new DataMenuItem();
                        iSubMenuItem.Text = "Sterilizer Summary Report";
                        iSubMenuItem.NavigateUrl = "SterilizerSummaryReports.aspx";
                        DataMenuItem.Items.Add(iSubMenuItem);
                    }

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Tunnel Washer Report";
                    iSubMenuItem.NavigateUrl = "TunnelWasherReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Ultrasonic Report";
                    iSubMenuItem.NavigateUrl = "UltrasonicReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Washer Staff";
                    iSubMenuItem.NavigateUrl = "WasherStaffReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Water Quality";
                    iSubMenuItem.NavigateUrl = "WaterQualityReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Endoscope Report";
                    iSubMenuItem.NavigateUrl = "EndoscopeReport.aspx";
                    DataMenuItem.Items.Add(iSubMenuItem);

                    //iSubMenuItem = new DataMenuItem();
                    //iSubMenuItem.Text = "Endoscopy Report";
                    //iSubMenuItem.NavigateUrl = "EndoscopyReport.aspx";
                    //DataMenuItem.Items.Add(iSubMenuItem);

                    wdmMainMenu.Items[i].Items.Add(DataMenuItem);

                    if (DepartmentPermissionManager.IsDepartmentAuthorized(Global.CurrentUser.HospitalInfo.HospitalID, Global.CurrentUser.DepartmentsInfo[0].DepartmentID, (int)DepartmentPermission.Permissions.Sterilizer))
                    {
                        DataMenuItem = new DataMenuItem();
                        DataMenuItem.Text = "Graph Results";

                        iSubMenuItem = new DataMenuItem();
                        iSubMenuItem.Text = "Sterilizer Productivity";
                        iSubMenuItem.NavigateUrl = "SterilizerCharts.aspx?c=1";
                        DataMenuItem.Items.Add(iSubMenuItem);

                        iSubMenuItem = new DataMenuItem();
                        iSubMenuItem.Text = "Sterilizer Staff Activity";
                        iSubMenuItem.NavigateUrl = "SterilizerCharts.aspx?c=2";
                        DataMenuItem.Items.Add(iSubMenuItem);

                        wdmMainMenu.Items[i].Items.Add(DataMenuItem);
                    }

                    //New Menu
                    wdmMainMenu.Items.Add("Summaries&nbsp;");
                    wdmMainMenu.Items[i++].CssClass = "FirstItem";

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Month to Date";
                    DataMenuItem.NavigateUrl = "WasherSummaryReport.aspx?dr=0";
                    wdmMainMenu.Items[i].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Last Month";
                    DataMenuItem.NavigateUrl = "WasherSummaryReport.aspx?dr=1";
                    wdmMainMenu.Items[i].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Two Months Ago";
                    DataMenuItem.NavigateUrl = "WasherSummaryReport.aspx?dr=6";
                    wdmMainMenu.Items[i].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Quarter to Date";
                    DataMenuItem.NavigateUrl = "WasherSummaryReport.aspx?dr=2";
                    wdmMainMenu.Items[i].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Last Quarter";
                    DataMenuItem.NavigateUrl = "WasherSummaryReport.aspx?dr=3";
                    wdmMainMenu.Items[i].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Year to Date";
                    DataMenuItem.NavigateUrl = "WasherSummaryReport.aspx?dr=4";
                    wdmMainMenu.Items[i].Items.Add(DataMenuItem);

                    DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Last Year";
                    DataMenuItem.NavigateUrl = "WasherSummaryReport.aspx?dr=5";
                    wdmMainMenu.Items[i].Items.Add(DataMenuItem);
                }
                else if (Global.CurrentUser.UserTypeID == (int)BlackTieMedical.Entity.User.UserType.WasherStaff)
                {
                    ShowQualityNav();

                    // ProformanceQA users don't see the Owens & Minor logo
                    imgAppHeader.Src = "../images/logo_4.gif";

                    imgPageLogo.Src = "../images/HMKLogo.gif";
                    imgPageLogo.Visible = true;

                    hlHome.HRef = "../WasherStaff.aspx";

                    DataMenuItem DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "Conduct Inspections";
                    DataMenuItem.NavigateUrl = "WasherStaff.aspx";
                    wdmMainMenu.Items.Add(DataMenuItem);
                    wdmMainMenu.Items[0].CssClass = "FirstItemLink";
                }
                else if (Global.CurrentUser.UserTypeID == (int)BlackTieMedical.Entity.User.UserType.SiteAdmin)
                {
                    ShowAdminNav();
                    imgPageLogo.Visible = false;

                    hlHome.HRef = "../NewPQAAccount.aspx";

                    DataMenuItem DataMenuItem = new DataMenuItem();
                    DataMenuItem.Text = "New ProformanceQA User";
                    DataMenuItem.NavigateUrl = "NewPQAAccount.aspx";
                    wdmMainMenu.Items.Add(DataMenuItem);
                    wdmMainMenu.Items[0].CssClass = "FirstItemLink";
                }
            }
            
            // page logo's are at the hospital / vendor level - unless a user has a specfic logo
            if(Global.CurrentUser == null)
            {
                imgPageLogo.Visible = false;
            }
            else if(!string.IsNullOrEmpty(Global.CurrentUser.LogoFile))
            {
                if (File.Exists(Server.MapPath("~/images/" + Global.CurrentUser.LogoFile)))
                {
                    imgPageLogo.Src = "../images/" + Global.CurrentUser.LogoFile;
                    imgPageLogo.Visible = true;
                }
                else
                {
                    imgPageLogo.Src = "";
                    imgPageLogo.Visible = false;
                }

            }

        }

        private void CreateHospitalUserMenus()
        {
            wdmMainMenu.Items.Clear();

            lbLink.CssClass = "header-nav-button-grey";
            lbLock.CssClass = "header-nav-button-grey";
            lbLook.CssClass = "header-nav-button-grey";
            lbLoop.CssClass = "header-nav-button-grey";

            if (Session["TopNav"].ToString() == "Loop")
                lbLoop.CssClass = "header-nav-button-black";
            else if (Session["TopNav"].ToString() == "Link")
                lbLink.CssClass = "header-nav-button-black";
            else if (Session["TopNav"].ToString() == "Lock")
                lbLock.CssClass = "header-nav-button-black";
            else if (Session["TopNav"].ToString() == "Look")
                lbLook.CssClass = "header-nav-button-black";
            
            if (Session["TopNav"].ToString() == "Loop")
            {
                CreateLoopMenu();                
                Page.Header.Controls.Add(cssHandoffLink);
            }
            else if (Session["TopNav"].ToString() == "Link")
            {
                CreateLinkMenu();
                Page.Header.Controls.Add(cssImplantLink);
            }
            else if (Session["TopNav"].ToString() == "Lock")
            {
                CreateLockMenu();
                Page.Header.Controls.Add(cssContractLink);
            }
        }

        protected void OnLogOut(object sender, EventArgs e)
        {
            Session.Abandon();
            FormsAuthentication.SignOut();
            Response.Redirect("Login.aspx");
        }

        protected void OnNavClick(object sender, CommandEventArgs e)
        {
            int i = 6;

        }

        protected void OnNav()
        {
            if (Global.CurrentUser.UserTypeID == (int)User.UserType.HospitalUser || Global.CurrentUser.UserTypeID == (int)User.UserType.VendorUser ||
                Global.CurrentUser.UserTypeID == (int)User.UserType.VendorCSM)
            {
                if (Session["TopNav"].ToString() == "Loop")
                {
                    if (Global.CurrentUser.UserTypeID == (int)User.UserType.HospitalUser)
                        Response.Redirect("HospitalActivity.aspx");
                    else if (Global.CurrentUser.UserTypeID == (int)User.UserType.VendorUser || Global.CurrentUser.UserTypeID == (int)User.UserType.VendorCSM)
                        Response.Redirect("HospitalActivity.aspx");
                    else
                        Response.Redirect("WasherStaff.aspx");
                }
                else if (Session["TopNav"].ToString() == "Link")
                    Response.Redirect("ImplantList.aspx");
                else if (Session["TopNav"].ToString() == "Lock")
                    Response.Redirect("UploadContract.aspx");

                CreateHospitalUserMenus();
            }
        }

        private void CreateLoopMenu()
        {
            long roleid = Global.CurrentUser.URole.RoleID;
            DataMenuItem iTopItem = new DataMenuItem();
            DataMenuItem iMenuItem = new DataMenuItem();
            DataMenuItem iSubMenuItem = new DataMenuItem();

            // Menu 1
            iTopItem.Text = "Purchase Orders&nbsp;";
            iTopItem.CssClass = "FirstItem";

            iMenuItem.Text = "Overview of Activity";
            iMenuItem.NavigateUrl = "HospitalActivity.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Prepare New PO Request";
            iMenuItem.NavigateUrl = "POReqProducts.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "View Pending Purchase Orders";
            iMenuItem.NavigateUrl = "POProductsList.aspx?po=p";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "View Approved Purchase Orders";
            iMenuItem.NavigateUrl = "POProductsList.aspx?po=i";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "View Declined Purchase Orders";
            iMenuItem.NavigateUrl = "POProductsList.aspx?po=d";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "View/Restore Archived Purchase Orders";
            iMenuItem.NavigateUrl = "ArchivedPO.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Prepare Invoice Request";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "View Pending Invoices";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            wdmMainMenu.Items.Add(iTopItem);

            // Menu 2
            iTopItem = new DataMenuItem();
            iTopItem.Text = "Charts & Graphs &nbsp;";
            iTopItem.CssClass = "SecondItem";

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Reports";

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Product Utilization";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=1";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Physican Activity";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=2";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Capitations";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=3";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Capitation Plus";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=4";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Procedure Summary";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=5";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Procedure Detail";
            iSubMenuItem.NavigateUrl = "HandOffReports.aspx?RID=6";
            iMenuItem.Items.Add(iSubMenuItem);

            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Report Manager";
            iMenuItem.NavigateUrl = "ReportManager.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Dashboard Graphics";
            iMenuItem.NavigateUrl = "GraphicsSetup.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "View My Contracts";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Memorized";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            wdmMainMenu.Items.Add(iTopItem);

            // Menu 4
            iTopItem = new DataMenuItem();
            iTopItem.Text = "Search&nbsp;";
            iTopItem.CssClass = "SecondItem";

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Products";
            iMenuItem.NavigateUrl = "SearchProducts.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search P.O.s";
            iMenuItem.NavigateUrl = "SearchPOs.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Completed P.O.s";
            iMenuItem.NavigateUrl = "SearchPOs.aspx?i=1";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Incomplete P.O.s";
            iMenuItem.NavigateUrl = "SearchPOs.aspx?i=2";
            iTopItem.Items.Add(iMenuItem);

            /*iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Current Inventory";
            iMenuItem.NavigateUrl = "SearchInventory.aspx";
            iTopItem.Items.Add(iMenuItem);*/

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            wdmMainMenu.Items.Add(iTopItem);


            // Menu 5
            iTopItem = new DataMenuItem();
            iTopItem.Text = "Profiles&nbsp;";
            iTopItem.CssClass = "SecondItem";

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "My Profile";
            iMenuItem.NavigateUrl = "HospitalRegistration.aspx?edt=1&uid=" + Global.CurrentUser.UserID;
            iTopItem.Items.Add(iMenuItem);

             
            //Only Admin or SuperUser
            if (roleid == 2 || roleid == 1)
            {
                iMenuItem = new DataMenuItem();
                iMenuItem.Text = "Edit Colleagues";
                iMenuItem.NavigateUrl = "HospitalRegistration.aspx?edt=1&all=1";
                iTopItem.Items.Add(iMenuItem);

                iMenuItem = new DataMenuItem();
                iMenuItem.Text = "Invite New Users";

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Hospital Staff";
                iSubMenuItem.NavigateUrl = "InviteColleagues.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Vendor Sales Reps.";
                iSubMenuItem.NavigateUrl = "InviteVendors.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iTopItem.Items.Add(iMenuItem);
            }
            

            //Only Advanced or Admin or SuperUser
            if (roleid == 3 || roleid == 2 || roleid == 1)
            {
                iMenuItem = new DataMenuItem();
                iMenuItem.Text = "Setup Controls";

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Physicians";
                iSubMenuItem.NavigateUrl = "Physicians.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Procedures";
                iSubMenuItem.NavigateUrl = "Procedures.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Products";
                iSubMenuItem.NavigateUrl = "HospitalProductInfo.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Approval Routing";
                iSubMenuItem.NavigateUrl = "ApprovalRouting.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Supplemental Settings";
                iSubMenuItem.NavigateUrl = "SupplementalSettings.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                if (Global.CurrentUser.UserID == 24 || Global.CurrentUser.UserID == 332)
                {
                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Marketshare Controls";
                    iSubMenuItem.NavigateUrl = "MarketshareControls.aspx";
                    iMenuItem.Items.Add(iSubMenuItem);
                }

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Constructs";
                iSubMenuItem.NavigateUrl = "Constructs.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Cost Centers";
                iSubMenuItem.NavigateUrl = "CostCenter.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "View Contracts";
                iSubMenuItem.NavigateUrl = "UploadContract.aspx?n=1";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Product Categories";
                iSubMenuItem.NavigateUrl = "ProductCategory.aspx";
                iMenuItem.Items.Add(iSubMenuItem);

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "Our Manufacturer ID's";
                iSubMenuItem.NavigateUrl = "HospitalManufacturers.aspx";
                iMenuItem.Items.Add(iSubMenuItem);
                if (roleid == 2 || roleid == 1)
                {
                    iSubMenuItem = new DataMenuItem();
                    iSubMenuItem.Text = "Return On Investment";
                    iSubMenuItem.NavigateUrl = "ReturnOnInvestment.aspx";
                    iMenuItem.Items.Add(iSubMenuItem);
                }
                iTopItem.Items.Add(iMenuItem);
            }
           
            

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            wdmMainMenu.Items.Add(iTopItem);


            // Menu 6 - only for SuperUsers
            if (roleid == 1)
            {
                iTopItem = new DataMenuItem();
                iTopItem.Text = "Site Administration&nbsp;";
                iTopItem.CssClass = "SecondItem";
                

                iSubMenuItem = new DataMenuItem();
                iSubMenuItem.Text = "User Management&nbsp;";
                iSubMenuItem.NavigateUrl = "UserManagement.aspx";
                
                iTopItem.Items.Add(iSubMenuItem);

                wdmMainMenu.Items.Add(iTopItem);
            }
        }

        private void CreateLockMenu()
        {
            DataMenuItem iTopItem = new DataMenuItem();
            DataMenuItem iSubMenuItem = new DataMenuItem(); 

            iTopItem.Text = "Contracts";
            iTopItem.CssClass = "SecondItem";
                        
            iSubMenuItem.Text = "Upload Contracts&nbsp;";
            iSubMenuItem.NavigateUrl = "UploadContract.aspx";
            
            iTopItem.Items.Add(iSubMenuItem);

            wdmMainMenu.Items.Add(iTopItem);

            wdmMainMenu.Items[0].CssClass = "FirstItemLink";

        }

        private void CreateLinkMenu()
        {
            DataMenuItem iTopItem = new DataMenuItem();
            DataMenuItem iMenuItem = new DataMenuItem();
            DataMenuItem iSubMenuItem = new DataMenuItem();

            // Menu 1
            iTopItem.Text = "Implant Management&nbsp;";
            iTopItem.CssClass = "FirstItem";

            iMenuItem.Text = "Prepare New Implant Record";
            iMenuItem.NavigateUrl = "Implant.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "View Implant Records";
            iMenuItem.NavigateUrl = "ImplantList.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            wdmMainMenu.Items.Add(iTopItem);


            // Menu 2
            iTopItem = new DataMenuItem();
            iTopItem.Text = "Reports&nbsp;";
            iTopItem.CssClass = "SecondItem";

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Quick View";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Graphic";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Report Builder";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Memorized";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            wdmMainMenu.Items.Add(iTopItem);

            // Menu 4
            iTopItem = new DataMenuItem();
            iTopItem.Text = "Search&nbsp;";
            iTopItem.CssClass = "SecondItem";

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Implant Records";
            iMenuItem.NavigateUrl = "SearchImplant.aspx";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search Abandoned P.O.'s";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Search User Activity";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            wdmMainMenu.Items.Add(iTopItem);


            // Menu 5
            iTopItem = new DataMenuItem();
            iTopItem.Text = "Profiles&nbsp;";
            iTopItem.CssClass = "SecondItem";

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "My Profile";
            iMenuItem.NavigateUrl = "HospitalRegistration.aspx?edt=1&uid=" + Global.CurrentUser.UserID;
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Edit Colleagues";
            iMenuItem.NavigateUrl = "HospitalRegistration.aspx?edt=1&all=1";
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Invite New Users";

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Hospital Staff";
            iSubMenuItem.NavigateUrl = "InviteColleagues.aspx";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Vendor Sales Reps.";
            iSubMenuItem.NavigateUrl = "InviteVendors.aspx";
            iMenuItem.Items.Add(iSubMenuItem);
            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Setup Controls";

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Physicians";
            iSubMenuItem.NavigateUrl = "Physicians.aspx";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Procedures";
            iSubMenuItem.NavigateUrl = "Procedures.aspx";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Products";
            iSubMenuItem.NavigateUrl = "HospitalProductInfo.aspx";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Approval Routing";
            iSubMenuItem.NavigateUrl = "ApprovalRouting.aspx";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Constructs";
            iSubMenuItem.NavigateUrl = "Constructs.aspx";
            iMenuItem.Items.Add(iSubMenuItem);

            iSubMenuItem = new DataMenuItem();
            iSubMenuItem.Text = "Cost Centers";
            iSubMenuItem.NavigateUrl = "CostCenter.aspx";
            iMenuItem.Items.Add(iSubMenuItem);

            iTopItem.Items.Add(iMenuItem);

            iMenuItem = new DataMenuItem();
            iMenuItem.Text = "Instructions";
            iMenuItem.NavigateUrl = "";
            iMenuItem.Enabled = false;
            iTopItem.Items.Add(iMenuItem);

            wdmMainMenu.Items.Add(iTopItem);
        }

        protected void OnImplant(object sender, EventArgs e)
        {
            Session["TopNav"] = "Link";
            OnNav();
        }

        private void ShowImplantNav()
        {
            pnlHandOffNav.Visible = false;
            pnlContractNav.Visible = false;
            pnlImplantNav.Visible = true;
            pnlProFormanceQANav.Visible = false;
        }

        protected void OnContracts(object sender, EventArgs e)
        {
            Session["TopNav"] = "Lock";
            OnNav();
        }

        private void ShowContractsNav()
        {
            pnlHandOffNav.Visible = false;
            pnlContractNav.Visible = true;
            pnlImplantNav.Visible = false;
            pnlProFormanceQANav.Visible = false;
        }

        protected void OnQuality(object sender, EventArgs e)
        {
            OnNav();
        }

        private void ShowQualityNav()
        {
            Page.Header.Controls.Add(cssProQALink);
            
            pnlHandOffNav.Visible = false;
            pnlContractNav.Visible = false;
            pnlImplantNav.Visible = false;
            pnlProFormanceQANav.Visible = true;
        }

        private void ShowAdminNav()
        {
            pnlHandOffNav.Visible = false;
            pnlContractNav.Visible = false;
            pnlImplantNav.Visible = false;
            pnlProFormanceQANav.Visible = false;
        }

        protected void OnHandOff(object sender, EventArgs e)
        {
            Session["TopNav"] = "Loop";
            OnNav();
        }

        private void ShowHandOffNav()
        {
            pnlHandOffNav.Visible = true;
            pnlContractNav.Visible = false;
            pnlImplantNav.Visible = false;
            pnlProFormanceQANav.Visible = false;
        }

        private void ShowHandOffGuestNav()
        {
            pnlHandOffNav.Visible = true;
            pnlContractNav.Visible = false;
            pnlImplantNav.Visible = false;
            pnlProFormanceQANav.Visible = false;

            lbImplant.Enabled = false;
            lbContracts.Enabled = false;
        }
       
    }
}
